//
// $Id: Roundtrip.cpp 43404 2002-01-30 20:16:57Z okellogg $
//
#include "Roundtrip.h"

ACE_RCSID(AMI_Latency, Roundtrip, "$Id: Roundtrip.cpp 43404 2002-01-30 20:16:57Z okellogg $")

Roundtrip::Roundtrip (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

Test::Timestamp
Roundtrip::test_method (Test::Timestamp send_time
                        ACE_ENV_ARG_DECL_NOT_USED)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  return send_time;
}

void
Roundtrip::shutdown (ACE_ENV_SINGLE_ARG_DECL)
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  this->orb_->shutdown (0 ACE_ENV_ARG_PARAMETER);
}
